Bug 1875263 - In OCS UI: Backingstore creation should reject Provider :PVC with OBC only SC(ocs-storagecluster-ceph-rgw & openshift-storage.noobaa.io)
Summary: In OCS UI: Backingstore creation should reject Provider :PVC with OBC only SC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Bipul Adhikari
QA Contact: Neha Berry
URL:
Whiteboard:
Depends On: 1858179
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 07:21 UTC by OpenShift BugZilla Robot
Modified: 2020-09-14 14:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-14 14:54:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
SC list in PVC BS creation page (140.39 KB, image/png)
2020-09-10 02:49 UTC, Neha Berry
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6501 None closed [release-4.5] Bug 1875263: Add Storage Class filter for SC dropdown in Backing Store creation page for PVC type 2020-09-14 13:48:40 UTC
Red Hat Product Errata RHBA-2020:3618 None None None 2020-09-14 14:54:48 UTC

Comment 4 Neha Berry 2020-09-10 02:49:21 UTC
Created attachment 1714363 [details]
SC list in PVC BS creation page

Verified the fix on both AWS and Vsphere OCP 4.5 + OCS 4.5 cluster
>> Verified the fix on AWS. 

The OBC only SC "openshift-storage.noobaa.io" was not listed while creating PVC backed Backingstore.


OCP version = 4.5.0-0.nightly-2020-09-08-123650

OCS version = ocs-operator.v4.5.0-76.ci

>> Verified the fix on Vsphere

OCP = 4.5.0-0.nightly-2020-09-08-123650

OCS = ocs-operator.v4.5.0-76.ci

Available SCs in the vsphere cluster
-----------------------------------------

ocs-storagecluster-cephfs openshift-storage.cephfs.csi.ceph.com	Delete	

ocs-storagecluster-ceph-rbd openshift-storage.rbd.csi.ceph.com	Delete	

ocs-storagecluster-ceph-rgw openshift-storage.ceph.rook.io/bucket	Delete	

openshift-storage.noobaa.io openshift-storage.noobaa.io/obc	Delete	

thin kubernetes.io/vsphere-volume	Delete	

SCs listed under drop-down for PVC BS creation
------------------------------------------------
ocs-storagecluster-cephfs openshift-storage.cephfs.csi.ceph.com	Delete	

ocs-storagecluster-ceph-rbd openshift-storage.rbd.csi.ceph.com	Delete	

thin kubernetes.io/vsphere-volume	Delete

Comment 6 errata-xmlrpc 2020-09-14 14:54:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3618


Note You need to log in before you can comment on or make changes to this bug.